All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Interface SupplementalPropertyKeysInterface

All Known Implementing Classes:
  ActionAttributeDescriptor, AddFolderAction, AddRowAction, BaseAction, CopyAction, CutAction, DeleteAction, DeleteRowAction, DetailsAction, FindAction, GoBackAction, HttpAction, ListAction, MoveColumnAction, OpenFolderAction, PasteAction, RenameAction, SelectorAction, SelectorAction, SortAction, StartSearchAction, SwingAction, TableViewAction, TreeAction, UpOneLevelAction, ViewMenuAction, ViewSelectionAction

    public interface SupplementalPropertyKeysInterface

This interface defines the keys used to specify the status of a particular Action during the acquisition phase.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1

Field Summary
`static java.lang.String` | `COMMAND` The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value should be applied to the command during the execution phase.
`static java.lang.String` | `CUSTOM` The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value should be generated dynamically based on the attribute's name.
`static java.lang.String` | `DYNAMIC` The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value is generated dynamically by the support class.
`static java.lang.String` | `ENCODE` Http only: The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value needs to be encoded when sent on the request.
`static java.lang.String` | `EXTERNAL` Http only: The name of a supplemental property of an Action attribute's descriptor that determines if the attribute name/value pair should be passed on the request without the HttpActionProvider's paramterPrefix prepending the attributeName.

Field Detail

### DYNAMIC

    static final java.lang.String DYNAMIC

  The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value is generated dynamically by the support class.

  - The default value for class-based attributes is false.
  - The default value for instance-based attributes is true.

  Supplemental properties are accessible via the following:

    `action.getAttributeDescriptor("someAttributeName").setSupplementalProperty(BaseAction.DYNAMIC, Boolean.FALSE);`
    `Object value = action.getAttributeDescriptor("someAttributeName").getSupplementalProperty(BaseAction.DYNAMIC);`

  See Also:
    Constant Field Values

### COMMAND

    static final java.lang.String COMMAND

  The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value should be applied to the command during the execution phase.

  - The default value for class-based attributes is false.
  - The default value for instance-based attributes is true.

  Http only: If the attribute descriptor's `visible` property is set to true, the attributeName/attributeValue pair will be passed as query string parameters on the request. The APF framework will prepend the attribute name with the HttpActionProvider's parameterPrefix.

  Http only: If the attribute descriptor's `EXTERNAL` property is set to true, the attributeName/attributeValue pair will be passed as query string parameters on the request but the APF framework will not prepend the attribute name with the HttpActionProvider's parameterPrefix. Otherwise, the attributeName/attributeValue pair is stored on the HttpActionProvider

    `action.getAttributeDescriptor("someAttributeName").setSupplementalProperty(BaseAction.COMMAND, Boolean.FALSE);`
    `Object value = action.getAttributeDescriptor("someAttributeName").getSupplementalProperty(BaseAction.COMMAND);`

  See Also:
    Constant Field Values

### EXTERNAL

    static final java.lang.String EXTERNAL

  Http only: The name of a supplemental property of an Action attribute's descriptor that determines if the attribute name/value pair should be passed on the request without the HttpActionProvider's paramterPrefix prepending the attributeName.

  - The default value is false for all attributes.

    `action.getAttributeDescriptor("someAttributeName").setSupplementalProperty(BaseAction.EXTERNAL, Boolean.FALSE);`
    `Object value = action.getAttributeDescriptor("someAttributeName").getSupplementalProperty(BaseAction.EXTERNAL);`

  See Also:
    Constant Field Values

### CUSTOM

    static final java.lang.String CUSTOM

  The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value should be generated dynamically based on the attribute's name.

  - The default value is false for all attributes.

  When true, and attribute is also marked `DYNAMIC`=true, some support classes generate a dynamic value for this attribute based on the attribute's name.

  For example, a relational table's support class may set dynamic Action attribute values when the attribute's name corresponds to the identifier of a column on the model.

  See individual support class documentation for whether it handles CUSTOM attributes.

    `action.getAttributeDescriptor("someAttributeName").setSupplementalProperty(BaseAction.CUSTOM, Boolean.FALSE);`
    `Object value = action.getAttributeDescriptor("someAttributeName").getSupplementalProperty(BaseAction.CUSTOM);`

  See Also:
    Constant Field Values

### ENCODE

    static final java.lang.String ENCODE

  Http only: The name of a supplemental property of an Action attribute's descriptor that determines if the attribute's value needs to be encoded when sent on the request.

  - The default value for all attributes is true.

  Supplemental properties are accessible via the following:

    `action.getAttributeDescriptor("someAttributeName").setSupplementalProperty(BaseAction.ENCODE, Boolean.FALSE);`
    `Object value = action.getAttributeDescriptor("someAttributeName").getSupplementalProperty(BaseAction.ENCODE);`

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.